Firefox and libflashplayer.so 10.0.42 64-bit crash

Support for the other architectures (X86_64, IA-64, and PowerPC)
Post Reply
robert_meade
Posts: 6
Joined: 2006/01/27 01:21:43

Firefox and libflashplayer.so 10.0.42 64-bit crash

Post by robert_meade » 2010/01/29 00:23:07

I just upgraded from 4.8 to 5.4. Everything seems to work except Firefox with Flash. With the flash plugin installed, Firefox crashes anytime a web page has flash content. The plugin has be tried in every possible location and there are no other plugins installed. I have spent hours on this problem and have run out of ideas. Any help will be greatly appreciated.

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Firefox and libflashplayer.so 10.0.42 64-bit crash

Post by pschaff » 2010/01/29 15:22:54

Have you read http://wiki.centos.org/TipsAndTricks/PluginsFor64BitFirefox ?

If that doesn't work, try as a freshly created user to assure that legacy configs in the home directory are not the problem.

robert_meade
Posts: 6
Joined: 2006/01/27 01:21:43

Re: Firefox and libflashplayer.so 10.0.42 64-bit crash

Post by robert_meade » 2010/01/29 22:16:52

Thank you for your reply.

Tips and Tricks for plugins has been read and followed to no avail. I had previously found that "yum install flash-plugin" installs the 32-bit version of flash v10.0.42. I have been working with version 10.0.42 64-bit that was downloaded from Adobe. A new user experienced the same crash problem. I have installed a java plugin and it seems to be working with no problems.

I deleted the 64-bit version of firefox and tried to install the 32-bit version "yum install firefox.i386", but the 32-bit version of xulrunner conflicted with the 64-bit version.

The nspluginwrapper installed version of v10 flashplayer does not crash but produces no video. The nspluginwrapper installed version of v9 flashplayer does produce video on Youtube, but does not work consistently on CNN, but does not crash.

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Firefox and libflashplayer.so 10.0.42 64-bit crash

Post by pschaff » 2010/01/29 22:23:31

Something wrong there:[code]
[root@wx1 ~]# cat .rpmmacros
# Change default RPM query format to show ARCH
%_query_all_fmt %%{name}-%%{version}-%%{release}.%%{arch}
[root@wx1 ~]# rpm -q flash-plugin
flash-plugin-10.0.22.87-1.x86_64
[root@wx1 ~]# rpm -q xulrunner
xulrunner-1.9.0.16-2.el5_4.x86_64
xulrunner-1.9.0.16-2.el5_4.i386
[/code]

robert_meade
Posts: 6
Joined: 2006/01/27 01:21:43

Re: Firefox and libflashplayer.so 10.0.42 64-bit crash

Post by robert_meade » 2010/01/29 23:11:55

I hope this is helpful.

[root@xx ~]# yum list flash-plugin
Loaded plugins: downloadonly, fastestmirror, priorities, protect-packages, protectbase
Loading mirror speeds from cached hostfile
* addons: mirrors.unbornmedia.com
* base: mirror.vcu.edu
* extras: ftp.usf.edu
* rpmforge: apt.sw.be
* updates: mirror.vcu.edu
463 packages excluded due to repository protections
Installed Packages
flash-plugin.i386 10.0.42.34-release installed


[root@xx ~]# yum list xulrunner
Loaded plugins: downloadonly, fastestmirror, priorities, protect-packages, protectbase
Loading mirror speeds from cached hostfile
* addons: mirrors.unbornmedia.com
* base: mirror.vcu.edu
* extras: ftp.usf.edu
* rpmforge: apt.sw.be
* updates: mirror.vcu.edu
463 packages excluded due to repository protections
Installed Packages
xulrunner.x86_64 1.9.0.16-2.el5_4 installed
Available Packages
xulrunner.i386 1.9.0.16-2.el5_4 updates

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: Firefox and libflashplayer.so 10.0.42 64-bit crash

Post by pschaff » 2010/01/30 02:32:53

All I can say is that if you want to run the 32-bit plugins you need to run the i386 firefox.

Post Reply

Return to “CentOS 5 - X86_64,s390(x) and PowerPC Support”